---
title: CSS Scroll Snap Points
slug: Web/CSS/CSS_Scroll_Snap_Points
tags:
  - CSS
  - CSS Scroll Snap
  - Guide
  - Overview
  - Reference
---
<div>{{CSSRef}} {{deprecated_header}}</div>

<p><strong>CSS Scroll Snap Points</strong> is a module of CSS that introduces scroll snap positions. These determine the specific positions that a container’s scrollport may end at after a scrolling operation has completed.</p>

<div class="note">
<p><strong>Note</strong>: <a href="/en-US/docs/Web/CSS/CSS_Scroll_Snap">CSS Scroll Snap</a> is the modern specification that defines this functionality.</p>
</div>

<h2 id="Reference">Reference</h2>

<h3 id="CSS_properties">CSS properties</h3>

<div class="index">
<ul>
 <li>{{cssxref("scroll-snap-coordinate")}}</li>
 <li>{{cssxref("scroll-snap-destination")}}</li>
 <li>{{cssxref("scroll-snap-points-x")}}</li>
 <li>{{cssxref("scroll-snap-points-y")}}</li>
 <li>{{cssxref("scroll-snap-type")}}</li>
</ul>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Scroll Snap Points", "#propdef-scroll-snap-points-y", "scroll-snap-points-y")}}</td>
   <td>{{Spec2("CSS Scroll Snap Points")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>
